## freefilesync 8.5.repack

=== Makefile ===
APPNAME     = FreeFileSync
prefix      = /usr
BINDIR      = $(DESTDIR)$(prefix)/bin
SHAREDIR    = $(DESTDIR)$(prefix)/share
APPSHAREDIR = $(SHAREDIR)/$(APPNAME)
DOCSHAREDIR = $(SHAREDIR)/doc/$(APPNAME)

CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" -Wall \
-O3 -DNDEBUG `wx-config --cxxflags --debug=no` -DZEN_LINUX -pthread

LINKFLAGS = -s `wx-config --libs std, aui --debug=no` -lboost_thread -lboost_chrono -lboost_system -lz -pthread

#Gtk - support recycler/icon loading/no button border/grid scrolling
CXXFLAGS  += `pkg-config --cflags gtk+-2.0`
LINKFLAGS += `pkg-config --libs   gtk+-2.0`

#support for SELinux (optional)
SELINUX_EXISTING=$(shell pkg-config --exists libselinux && echo YES)
ifeq ($(SELINUX_EXISTING),YES)
CXXFLAGS  += `pkg-config --cflags libselinux` -DHAVE_SELINUX
LINKFLAGS += `pkg-config --libs libselinux`
endif

#support for Ubuntu Unity (optional)
UNITY_EXISTING=$(shell pkg-config --exists unity && echo YES)
ifeq ($(UNITY_EXISTING),YES)
CXXFLAGS  += `pkg-config --cflags unity` -DHAVE_UBUNTU_UNITY
LINKFLAGS += `pkg-config --libs unity`
endif

CPP_LIST=
CPP_LIST+=algorithm.cpp
CPP_LIST+=application.cpp
CPP_LIST+=comparison.cpp
CPP_LIST+=structures.cpp
CPP_LIST+=synchronization.cpp
CPP_LIST+=fs/abstract.cpp
CPP_LIST+=fs/concrete.cpp
CPP_LIST+=fs/native.cpp
CPP_LIST+=file_hierarchy.cpp
CPP_LIST+=ui/custom_grid.cpp
CPP_LIST+=ui/folder_history_box.cpp
CPP_LIST+=ui/on_completion_box.cpp
CPP_LIST+=ui/folder_selector.cpp
CPP_LIST+=ui/batch_config.cpp
CPP_LIST+=ui/batch_status_handler.cpp
CPP_LIST+=ui/version_check.cpp
CPP_LIST+=ui/grid_view.cpp
CPP_LIST+=ui/tree_view.cpp
CPP_LIST+=ui/gui_generated.cpp
CPP_LIST+=ui/gui_status_handler.cpp
CPP_LIST+=ui/main_dlg.cpp
CPP_LIST+=ui/progress_indicator.cpp
CPP_LIST+=ui/search.cpp
CPP_LIST+=ui/small_dlgs.cpp
CPP_LIST+=ui/sync_cfg.cpp
CPP_LIST+=ui/taskbar.cpp
CPP_LIST+=ui/triple_splitter.cpp
CPP_LIST+=ui/tray_icon.cpp
CPP_LIST+=lib/binary.cpp
CPP_LIST+=lib/db_file.cpp
CPP_LIST+=lib/dir_lock.cpp
CPP_LIST+=lib/hard_filter.cpp
CPP_LIST+=lib/icon_buffer.cpp
CPP_LIST+=lib/icon_loader.cpp
CPP_LIST+=lib/localization.cpp
CPP_LIST+=lib/parallel_scan.cpp
CPP_LIST+=lib/process_xml.cpp
CPP_LIST+=lib/resolve_path.cpp
CPP_LIST+=lib/perf_check.cpp
CPP_LIST+=lib/status_handler.cpp
CPP_LIST+=lib/versioning.cpp
CPP_LIST+=lib/ffs_paths.cpp
CPP_LIST+=../../zen/xml_io.cpp
CPP_LIST+=../../zen/recycler.cpp
CPP_LIST+=../../zen/file_access.cpp
CPP_LIST+=../../zen/file_io.cpp
CPP_LIST+=../../zen/file_traverser.cpp
CPP_LIST+=../../zen/zstring.cpp
CPP_LIST+=../../zen/format_unit.cpp
CPP_LIST+=../../zen/process_priority.cpp
CPP_LIST+=../../wx+/grid.cpp
CPP_LIST+=../../wx+/image_tools.cpp
CPP_LIST+=../../wx+/graph.cpp
CPP_LIST+=../../wx+/tooltip.cpp
CPP_LIST+=../../wx+/http.cpp
CPP_LIST+=../../wx+/image_resources.cpp
CPP_LIST+=../../wx+/popup_dlg.cpp
CPP_LIST+=../../wx+/popup_dlg_generated.cpp
CPP_LIST+=../../wx+/zlib_wrap.cpp

OBJECT_LIST = $(CPP_LIST:%.cpp=../Obj/FFS_GCC_Make_Release/ffs/src/%.o)

all: launchpad

launchpad: FreeFileSync

../Obj/FFS_GCC_Make_Release/ffs/src/%.o : %.cpp
	mkdir -p $(dir $@)
	g++ $(CXXFLAGS) -c $< -o $@

FreeFileSync: $(OBJECT_LIST)
	g++ -o ../Build/$(APPNAME) $(OBJECT_LIST) $(LINKFLAGS)

clean:
	rm -rf ../Obj/FFS_GCC_Make_Release
	rm -f ../Build/$(APPNAME)
	rm -f ../../wx+/pch.h.gch

install:
	mkdir -p $(BINDIR)
	cp ../Build/$(APPNAME) $(BINDIR)

	mkdir -p $(APPSHAREDIR)
	cp -R ../Build/Languages/ \
	../Build/Help/ \
	../Build/ding.wav \
	../Build/gong.wav \
	../Build/harp.wav \
	../Build/Resources.zip \
	$(APPSHAREDIR)

	mkdir -p $(DOCSHAREDIR)
	cp ../Build/Changelog.txt $(DOCSHAREDIR)/changelog
	gzip $(DOCSHAREDIR)/changelog

=== RealTimeSync/Makefile ===
APPNAME = RealTimeSync
prefix = /usr
BINDIR = $(DESTDIR)$(prefix)/bin

CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" -Wall \
-O3 -DNDEBUG `wx-config --cxxflags --debug=no` -DZEN_LINUX -pthread

LINKFLAGS = -s `wx-config --libs std, aui --debug=no` -lboost_thread -lboost_chrono -lboost_system -lz -pthread

#Gtk - support "no button border"
CXXFLAGS  += `pkg-config --cflags gtk+-2.0`
LINKFLAGS += `pkg-config --libs   gtk+-2.0`

CPP_LIST=
CPP_LIST+=application.cpp
CPP_LIST+=gui_generated.cpp
CPP_LIST+=main_dlg.cpp
CPP_LIST+=tray_menu.cpp
CPP_LIST+=monitor.cpp
CPP_LIST+=xml_proc.cpp
CPP_LIST+=folder_selector2.cpp
CPP_LIST+=../structures.cpp
CPP_LIST+=../lib/localization.cpp
CPP_LIST+=../lib/process_xml.cpp
CPP_LIST+=../lib/resolve_path.cpp
CPP_LIST+=../lib/ffs_paths.cpp
CPP_LIST+=../lib/hard_filter.cpp
CPP_LIST+=../../../zen/xml_io.cpp
CPP_LIST+=../../../zen/dir_watcher.cpp
CPP_LIST+=../../../zen/file_access.cpp
CPP_LIST+=../../../zen/file_io.cpp
CPP_LIST+=../../../zen/file_traverser.cpp
CPP_LIST+=../../../zen/zstring.cpp
CPP_LIST+=../../../zen/format_unit.cpp
CPP_LIST+=../../../wx+/image_tools.cpp
CPP_LIST+=../../../wx+/image_resources.cpp
CPP_LIST+=../../../wx+/popup_dlg.cpp
CPP_LIST+=../../../wx+/popup_dlg_generated.cpp

OBJECT_LIST=$(CPP_LIST:%.cpp=../../Obj/RTS_GCC_Make_Release/ffs/src/rts/%.o)

all: launchpad

launchpad: RealTimeSync

../../Obj/RTS_GCC_Make_Release/ffs/src/rts/%.o : %.cpp
	mkdir -p $(dir $@)
	g++ $(CXXFLAGS) -c $< -o $@

RealTimeSync: $(OBJECT_LIST)
	g++ -o ../../Build/$(APPNAME) $(OBJECT_LIST) $(LINKFLAGS)

clean:
	rm -rf ../../Obj/RTS_GCC_Make_Release
	rm -f ../../Build/$(APPNAME)
	rm -f ../../../wx+/pch.h.gch

install:
	mkdir -p $(BINDIR)
	cp ../../Build/$(APPNAME) $(BINDIR)

=== debian/changelog ===
freefilesync (8.5.repack-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 20 Sep 2016 15:03:07 -0700

freefilesync (8.5-1~getdeb1) xenial; urgency=medium

  * New upstream version:
    - Support multiple SSH connections per SFTP folder traversal: N times speed
      up.
    - Support multiple SFTP channels per SSH connection: additional N times
      speed up.
    - Fixed installer crashes by using correct DEP-compatibility.
    - Fixed notification area icon being generated too often.
    - Thread-safe SFTP deinitialization on shutdown.
    - Thread-safe mini-dump creation during shutdown.
    - Fixed case-insensitive migration of new csidl macro names.
    - Reduced SFTP access serialization overhead.
    - Buffer SFTP sessions independently from usage context.
    - Detect and discard timed-out SSH sessions.
    - Pre-empt SFTP session disconnect via dedicated SFTP cleanup thread.
    - Run SFTP tasks directly on worker threads without helper thread overhead.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 17 Sep 2016 11:16:45 +0200

freefilesync (8.4.repack-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Mark temporary copies created by %local_path% read-only.
    - Fixed crash when accessing Bitvise SFTP Servers.
    - Support nanosecond-precision file time copying (Linux).
    - Start maximized instead of in full screen mode (OS X).
    - Fixed crash while setting privileges during shutdown.
    - Fixed crash when failing to clean up log files.
    - Fixed EOPNOTSUPP error when copying file to gvfs Samba share (Linux).
    - Fixed default external applications command line (Linux).
    - Thread-safe translation change even during app shutdown.
    - Don't consider port and password when comparing SFTP paths.
    - Updated translation files

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 20 Aug 2016 13:38:29 -0700

freefilesync (8.3-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Make temporary local copy for non-native file paths: %local_path%.
    - Support selections from both grid sides at a time for external
      applications.
    - New external application macros: %item_path%, %folder_path%, %item_path2%,
      %folder_path2%.
    - Migrate external application commands to new macro syntax.
    - Support reverse grid search (Shift + F3).
    - Don't condense empty sub folders on overview panel.
    - Show changelog delta in update notification.
    - Center modal dialogs after layout redetermination.
    - Warn about portable installation into programs folder.
    - Calculate default message dialog height depending on screen size.
    - Don't substitute external applications path for empty base folder.
    - Fixed prolonged tooltip time not being evaluated.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 13 Jul 2016 13:26:50 -0700

freefilesync (8.2-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Unified item path representation on main grid.
    - New progress indicator control for binary comparison.
    - Fixed crash on exit when accessing already destructed constant.
    - Fixed crash when FreeFileSync is still running during OS shutdown.
    - Fixed crash on startup due to missing root certificates.
    - Work around start up crash on Windows installations missing certain
      patches.
    - Fixed in-place progress panel height being trimmed.
    - Support drawing arbitrary polyons with graph control.
    - Apply Posix file name normalization (OS X).
    - Normalize keyboard input encoding for all text fields (OS X).
    - Report errors when cleaning up old log files.
    - Integrate external app WinMerge if installation is found.
    
 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 02 Jun 2016 10:42:04 -0700

freefilesync (8.1-1mx150+1) mx; urgency=medium

  * New upstream version:
    - Follow shell links during drag and drop on main dialog (Windows).
    - Significantly improved main grid rendering performance.
    - Log info about non-default global settings.
    - Establish new network connections only when needed (Windows).
    - Show only a single login dialog per network share.
    - Show login dialogs for the same network address one after another.
    - Fixed endless recursion for paths containing certain unicode
      characters (OS X).
    - Support using portable version without direct installation.
    - Fixed access denied error when verifying read-only target file
      (Windows)
    - New global option for sound cue after comparison.
    - Updated help file.
  * Drop makefile.patch; fixed upstream.
  * Refresh wx-config-dir.patch.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Tue, 26 Apr 2016 17:05:54 -0700

freefilesync (8.0-1jessie.1) jessie; urgency=medium

  * New upstream version:
    - Fine-tuned buffer sizes for 70% improved SFTP stream I/O speed. 
    - Support incomplete read/write operations while maximizing buffer
      saturation.
    - Automatically check consistency of FreeFileSync installation.
    - Fixed crash when using SFTP on CPUs without SSE2 support.
    - Improved GUI responsiveness during SFTP I/O.
    - Disabled automatic quote substitution for file filter (OS X).
    - Work around invalid parameter error on FAT drives for broken
      create times.
    - Avoid filter mismatches by using precomposed UTF (OS X).
    - Fixed main dialog close button not being disabled during sync (OS X).
    - Set content format metadata when copying to an MTP device.
    - Fixed F-keys not working in sync config dialog (Linux).
    - Revert to default button margin values (Linux).
    - Fixed crash when thumbnail loading fails on MTP device.
    - Fixed main grids not scrolling in parallel during mouse selection.
    - Revert to default scaling for non-dpi-aware apps.
    - Integrate FreeFileSync online manual.
    - Added Slovak translation.


=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libwxgtk3.0-dev,
               libgtk2.0-dev,
               wx3.0-headers,
               imagemagick,
               intltool,
               libboost-thread-dev (>= 1.46),
               libboost-system-dev (>= 1.46),
#               libunity-dev,
#               gcc (>= 4:4.5),
               libzenxml2.0-dev
Standards-Version: 3.9.6
Homepage: http://freefilesync.sourceforge.net/

Package: freefilesync
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         xdg-utils
Description: folder comparison and synchronization tool
 This is a folder comparison and synchronization tool. It is optimized 
 for highest performance and usability without restricted or overloaded 
 UI interfaces. 
 .
 Features:
  * Multiple folder pairs
  * Batch capability
  * Binary comparison
  * Handle conflicts and propagate deletions
  * Optimized performance
  * Transactional file copy
  * ...

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DESTRESDIR=$(CURDIR)/debian/tmp
export IMGDIR=$(DESTRESDIR)/usr/share/icons/hicolor

# Grab the version from the changelog, up to the first -
export DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
export DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
                               | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=RealTimeSync

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=RealTimeSync
	
override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=RealTimeSync
	
	# Extract program icons
	mkdir -p $(IMGDIR)/256x256/apps
	mkdir -p $(IMGDIR)/256x256/mimetypes
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#mkdir -p $(IMGDIR)/128x128/apps
	#mkdir -p $(IMGDIR)/128x128/mimetypes
	mkdir -p $(IMGDIR)/48x48/apps
	mkdir -p $(IMGDIR)/48x48/mimetypes
	mkdir -p $(IMGDIR)/32x32/apps
	mkdir -p $(IMGDIR)/32x32/mimetypes
	mkdir -p $(IMGDIR)/16x16/apps
	mkdir -p $(IMGDIR)/16x16/mimetypes

	# FreeFileSync
	convert lib/FreeFileSync.ico[0] $(IMGDIR)/256x256/apps/freefilesync.png
	convert lib/FreeFileSync.ico[0] $(IMGDIR)/256x256/mimetypes/application-x-freefilesync-ffs.png
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#convert lib/FreeFileSync.ico[1] $(IMGDIR)/128x128/apps/freefilesync.png
	#convert lib/FreeFileSync.ico[1] $(IMGDIR)/128x128/mimetypes/application-x-freefilesync-ffs.png
	convert lib/FreeFileSync.ico[2] $(IMGDIR)/48x48/apps/freefilesync.png
	convert lib/FreeFileSync.ico[2] $(IMGDIR)/48x48/mimetypes/application-x-freefilesync-ffs.png
	convert lib/FreeFileSync.ico[3] $(IMGDIR)/32x32/apps/freefilesync.png
	convert lib/FreeFileSync.ico[3] $(IMGDIR)/32x32/mimetypes/application-x-freefilesync-ffs.png
	convert lib/FreeFileSync.ico[4] $(IMGDIR)/16x16/apps/freefilesync.png
	convert lib/FreeFileSync.ico[4] $(IMGDIR)/16x16/mimetypes/application-x-freefilesync-ffs.png
	
	# RealTimeSync
	convert RealTimeSync/RealTimeSync.ico[0] $(IMGDIR)/256x256/apps/realtimesync.png
	convert RealTimeSync/RealTimeSync.ico[0] $(IMGDIR)/256x256/mimetypes/application-x-freefilesync-real.png
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#convert RealtimeSync/RealtimeSync.ico[1] $(IMGDIR)/128x128/apps/realtimesync.png
	#convert RealtimeSync/RealtimeSync.ico[1] $(IMGDIR)/128x128/mimetypes/application-x-freefilesync-real.png
	convert RealTimeSync/RealTimeSync.ico[2] $(IMGDIR)/48x48/apps/realtimesync.png
	convert RealTimeSync/RealTimeSync.ico[2] $(IMGDIR)/48x48/mimetypes/application-x-freefilesync-real.png
	convert RealTimeSync/RealTimeSync.ico[3] $(IMGDIR)/32x32/apps/realtimesync.png
	convert RealTimeSync/RealTimeSync.ico[3] $(IMGDIR)/32x32/mimetypes/application-x-freefilesync-real.png
	convert RealTimeSync/RealTimeSync.ico[4] $(IMGDIR)/16x16/apps/realtimesync.png
	convert RealTimeSync/RealTimeSync.ico[4] $(IMGDIR)/16x16/mimetypes/application-x-freefilesync-real.png
    
	# FreeFileSync Batch
	convert lib/Batch.ico[0] $(IMGDIR)/256x256/mimetypes/application-x-freefilesync-batch.png
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#convert lib/Batch.ico[1] $(IMGDIR)/128x128/mimetypes/application-x-freefilesync-batch.png
	convert lib/Batch.ico[2] $(IMGDIR)/48x48/mimetypes/application-x-freefilesync-batch.png
	convert lib/Batch.ico[3] $(IMGDIR)/32x32/mimetypes/application-x-freefilesync-batch.png
	convert lib/Batch.ico[4] $(IMGDIR)/16x16/mimetypes/application-x-freefilesync-batch.png	

	# Build desktop files
	mkdir -p $(DESTRESDIR)/usr/share/applications
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/freefilesync.desktop.in $(DESTRESDIR)/usr/share/applications/freefilesync.desktop
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/realtimesync.desktop.in $(DESTRESDIR)/usr/share/applications/realtimesync.desktop

override_dh_installchangelogs:
	dh_installchangelogs Build/Changelog.txt

get-orig-source:
	# Uscan can grab upstream source zip
	uscan --noconf --force-download --download-current-version --debug --verbose --destdir=. $(DEB_DEBIAN_DIR)/..
	# Unpack
	# Repacked source should have a top-level directory ending in .orig
	# as a reminder to other developers
	unzip FreeFileSync_$(DEB_UPSTREAM_VERSION)_Source.zip -d freefilesync-$(DEB_UPSTREAM_VERSION)
	cd freefilesync-$(DEB_UPSTREAM_VERSION) && \
	    mv wx+ zen FreeFileSync/Source && \
	    mv FreeFileSync/Build FreeFileSync/Source && \
	    rm LICENSE && \
	    mv FreeFileSync/Source/* . && \
	    rmdir FreeFileSync/Source && \
	    rmdir FreeFileSync
	rm FreeFileSync_$(DEB_UPSTREAM_VERSION)_Source.zip
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
			-f freefilesync_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
			freefilesync-$(DEB_UPSTREAM_VERSION)
	rm -r freefilesync-$(DEB_UPSTREAM_VERSION)

## freefilesync 9.2

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,7 @@
 APPSHAREDIR = $(SHAREDIR)/$(APPNAME)
 DOCSHAREDIR = $(SHAREDIR)/doc/$(APPNAME)
 
-CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" -Wall \
--O3 -DNDEBUG `wx-config --cxxflags --debug=no` -DZEN_LINUX -pthread
+CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -Wall -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread
 
 LINKFLAGS = -s `wx-config --libs std, aui --debug=no` -lboost_thread -lboost_chrono -lboost_system -lz -pthread
 
@@ -79,6 +78,7 @@
 CPP_LIST+=../../zen/zstring.cpp
 CPP_LIST+=../../zen/format_unit.cpp
 CPP_LIST+=../../zen/process_priority.cpp
+CPP_LIST+=../../wx+/file_drop.cpp
 CPP_LIST+=../../wx+/grid.cpp
 CPP_LIST+=../../wx+/image_tools.cpp
 CPP_LIST+=../../wx+/graph.cpp

=== RealTimeSync/Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 prefix = /usr
 BINDIR = $(DESTDIR)$(prefix)/bin
 
-CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" -Wall \
--O3 -DNDEBUG `wx-config --cxxflags --debug=no` -DZEN_LINUX -pthread
+CXXFLAGS  = -std=c++14 -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -Wall -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread
 
 LINKFLAGS = -s `wx-config --libs std, aui --debug=no` -lboost_thread -lboost_chrono -lboost_system -lz -pthread
 
@@ -32,6 +31,7 @@
 CPP_LIST+=../../../zen/file_traverser.cpp
 CPP_LIST+=../../../zen/zstring.cpp
 CPP_LIST+=../../../zen/format_unit.cpp
+CPP_LIST+=../../../wx+/file_drop.cpp
 CPP_LIST+=../../../wx+/image_tools.cpp
 CPP_LIST+=../../../wx+/image_resources.cpp
 CPP_LIST+=../../../wx+/popup_dlg.cpp

=== debian/changelog ===
freefilesync (9.2-1mx15+1) mx; urgency=medium

  * New upstream release:
    - Use direct copy instead of transaction to speed up versioning.
    - Replaced file existing handling with use of unique temporary names.
    - Support SFTP authentication via Pageant/SSH agent.
    - New menu option to restore hidden panels individually.
    - Fixed GTK button icon being truncated (Linux).
    - Fixed error dialog hiding behind progress dialog (macOS).
    - Round out FTP symlink deletion handling.
    - Support four-digit year format on IIS FTP.
    - Fixed FTP parsing error for epoch time on Windows server.
    - Narrow contract for file system abstraction regarding existing files.
    - Treat failure to load database as error rather than warning.
    - Save root folder access for certain FTP path checks.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Jul 2017 13:58:10 -0700

freefilesync (9.1-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Don't build against libunity-dev.
  * Add libgtk2.0-dev to build-depends.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 May 2017 13:16:14 -0700

freefilesync (9.1-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 24 May 2017 16:59:45 +0200

freefilesync (9.0-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 20 Apr 2017 18:52:03 +0200

freefilesync (8.6-1~getdeb1) xenial; urgency=medium

  * New upstream version
    Added SFTP support for OS X
    Support SFTP authentication via public/private key
    Remember configuration history scroll position
    SFTP folder picker supports browsing hidden folders
    Fixed failure to copy files with corrupted ADS
    Signed application installer (OS X)
    Increase config history default size to 100 items
    Auto-close FreeFileSync processes before uninstallation
    Simplified SFTP configuration syntax
    Fixed update check sending incomplete keep-alive header
    Detailed error reporting after failed web access
    Suggest folder path macro substitutions also at inner positions
    Transfer folder creation times (OS X)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 06 Nov 2016 03:53:54 +0100

freefilesync (8.4-1~getdeb1) xenial; urgency=medium

  * New upstream version
    Mark temporary copies created by %local_path% read-only
    Fixed crash when accessing Bitvise SFTP Servers
    Support nanosecond-precision file time copying (Linux)
    Start maximized instead of in full screen mode (OS X)
    Fixed crash while setting privileges during shutdown
    Fixed crash when failing to clean up log files
    Fixed EOPNOTSUPP error when copying file to gvfs Samba share (Linux)
    Fixed default external applications command line (Linux)
    Thread-safe translation change even during app shutdown
    Don't consider port and password when comparing SFTP paths
    Updated translation files

 -- Christoph Korn <christoph.korn@getdeb.net>  Fri, 12 Aug 2016 22:17:23 +0200

freefilesync (8.3-1~getdeb1) xenial; urgency=medium

  * New upstream version (LP: #1591784)

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 24 Jul 2016 01:37:18 +0200

freefilesync (8.0-1~getdeb1) wily; urgency=medium

  * New upstream version
    Fine-tuned buffer sizes for 70% improved SFTP stream I/O speed
    Support incomplete read/write operations while maximizing buffer
    saturation
    Automatically check consistency of FreeFileSync installation
    Fixed crash when using SFTP on CPUs without SSE2 support
    Improved GUI responsiveness during SFTP I/O
    Disabled automatic quote substitution for file filter (OS X)
    Work around invalid parameter error on FAT drives for broken create times
    Avoid filter mismatches by using precomposed UTF (OS X)
    Fixed main dialog close button not being disabled during sync (OS X)
    Don't create AppleDouble files if extended attributes are unsupported
    Set content format metadata when copying to an MTP device
    Fixed F-keys not working in sync config dialog (Linux)
    Revert to default button margin values (Linux)
    Fixed crash when thumbnail loading fails on MTP device
    Fixed main grids not scrolling in parallel during mouse selection
    Revert to default scaling for non-dpi-aware apps
    Integrate FreeFileSync online manual
    Added Slovak translation

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 15 Mar 2016 22:02:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: freefilesync
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: GetDeb Package Ninjas <package.ninjas@getdeb.net>
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                libwxgtk3.0-dev,
-               libgtk2.0-dev,
                wx3.0-headers,
                imagemagick,
                intltool,
                libboost-thread-dev (>= 1.46),
                libboost-system-dev (>= 1.46),
-#               libunity-dev,
-#               gcc (>= 4:4.5),
-               libzenxml2.0-dev
-Standards-Version: 3.9.6
+# Only available in Ubuntu
+#              libunity-dev,
+               libgtk2.0-dev,
+               libzenxml2.0-dev (>= 2.4)
+Standards-Version: 3.9.8
 Homepage: http://freefilesync.sourceforge.net/
 
 Package: freefilesync

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DESTRESDIR=$(CURDIR)/debian/tmp
export IMGDIR=$(DESTRESDIR)/usr/share/icons/hicolor

# Grab the version from the changelog, up to the first -
export DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
export DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
                               | sed -rne 's,^Version: ([^-]+).*,\1,p')

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=RealTimeSync

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=RealTimeSync
	
override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=RealTimeSync
	
	# Extract program icons
	mkdir -p $(IMGDIR)/256x256/apps
	mkdir -p $(IMGDIR)/256x256/mimetypes
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#mkdir -p $(IMGDIR)/128x128/apps
	#mkdir -p $(IMGDIR)/128x128/mimetypes
	mkdir -p $(IMGDIR)/48x48/apps
	mkdir -p $(IMGDIR)/48x48/mimetypes
	mkdir -p $(IMGDIR)/32x32/apps
	mkdir -p $(IMGDIR)/32x32/mimetypes
	mkdir -p $(IMGDIR)/16x16/apps
	mkdir -p $(IMGDIR)/16x16/mimetypes

	# FreeFileSync
	convert debian/FreeFileSync.ico[0] $(IMGDIR)/256x256/apps/freefilesync.png
	convert debian/FreeFileSync.ico[0] $(IMGDIR)/256x256/mimetypes/application-x-freefilesync-ffs.png
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#convert lib/FreeFileSync.ico[1] $(IMGDIR)/128x128/apps/freefilesync.png
	#convert lib/FreeFileSync.ico[1] $(IMGDIR)/128x128/mimetypes/application-x-freefilesync-ffs.png
	convert debian/FreeFileSync.ico[2] $(IMGDIR)/48x48/apps/freefilesync.png
	convert debian/FreeFileSync.ico[2] $(IMGDIR)/48x48/mimetypes/application-x-freefilesync-ffs.png
	convert debian/FreeFileSync.ico[3] $(IMGDIR)/32x32/apps/freefilesync.png
	convert debian/FreeFileSync.ico[3] $(IMGDIR)/32x32/mimetypes/application-x-freefilesync-ffs.png
	convert debian/FreeFileSync.ico[4] $(IMGDIR)/16x16/apps/freefilesync.png
	convert debian/FreeFileSync.ico[4] $(IMGDIR)/16x16/mimetypes/application-x-freefilesync-ffs.png
	
	# RealTimeSync
	convert debian/RealTimeSync.ico[0] $(IMGDIR)/256x256/apps/realtimesync.png
	convert debian/RealTimeSync.ico[0] $(IMGDIR)/256x256/mimetypes/application-x-freefilesync-real.png
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#convert RealtimeSync/RealtimeSync.ico[1] $(IMGDIR)/128x128/apps/realtimesync.png
	#convert RealtimeSync/RealtimeSync.ico[1] $(IMGDIR)/128x128/mimetypes/application-x-freefilesync-real.png
	convert debian/RealTimeSync.ico[2] $(IMGDIR)/48x48/apps/realtimesync.png
	convert debian/RealTimeSync.ico[2] $(IMGDIR)/48x48/mimetypes/application-x-freefilesync-real.png
	convert debian/RealTimeSync.ico[3] $(IMGDIR)/32x32/apps/realtimesync.png
	convert debian/RealTimeSync.ico[3] $(IMGDIR)/32x32/mimetypes/application-x-freefilesync-real.png
	convert debian/RealTimeSync.ico[4] $(IMGDIR)/16x16/apps/realtimesync.png
	convert debian/RealTimeSync.ico[4] $(IMGDIR)/16x16/mimetypes/application-x-freefilesync-real.png
    
	# FreeFileSync Batch
	convert debian/Batch.ico[0] $(IMGDIR)/256x256/mimetypes/application-x-freefilesync-batch.png
	# Do not generate 128x128 image on platform > Lucid, as 'convert' is not able to handle it
	# See LP : 807013
	#convert lib/Batch.ico[1] $(IMGDIR)/128x128/mimetypes/application-x-freefilesync-batch.png
	convert debian/Batch.ico[2] $(IMGDIR)/48x48/mimetypes/application-x-freefilesync-batch.png
	convert debian/Batch.ico[3] $(IMGDIR)/32x32/mimetypes/application-x-freefilesync-batch.png
	convert debian/Batch.ico[4] $(IMGDIR)/16x16/mimetypes/application-x-freefilesync-batch.png	

	# Build desktop files
	mkdir -p $(DESTRESDIR)/usr/share/applications
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/freefilesync.desktop.in $(DESTRESDIR)/usr/share/applications/freefilesync.desktop
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/realtimesync.desktop.in $(DESTRESDIR)/usr/share/applications/realtimesync.desktop

	find debian/freefilesync/usr/share/FreeFileSync -type f -execdir chmod -x {} \;

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

get-orig-source:
	# Uscan can grab upstream source zip
	uscan --noconf --force-download --download-current-version --debug --verbose --destdir=. $(DEB_DEBIAN_DIR)/..
	# Unpack
	# Repacked source should have a top-level directory ending in .orig
	# as a reminder to other developers
	unzip FreeFileSync_$(DEB_UPSTREAM_VERSION)_Source.zip -d freefilesync-$(DEB_UPSTREAM_VERSION)
	rm -f *.orig.tar.gz *.orig.tar.xz
	cd freefilesync-$(DEB_UPSTREAM_VERSION) && \
	    mv wx+ zen FreeFileSync/Source && \
	    mv FreeFileSync/Build FreeFileSync/Source && \
	    rm License.txt && \
	    mv FreeFileSync/Source/* . && \
	    rmdir FreeFileSync/Source && \
	    rmdir FreeFileSync
	rm FreeFileSync_$(DEB_UPSTREAM_VERSION)_Source.zip
	find -L "freefilesync-$(DEB_UPSTREAM_VERSION)" -xdev -type f -print | LC_ALL=C sort \
	| XZ_OPT="-6v" tar -caf "freefilesync_$(DEB_UPSTREAM_VERSION).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "freefilesync-$(DEB_UPSTREAM_VERSION)"

## freefilesync 9.3

=== debian/changelog ===
freefilesync (9.3-1mx17+1) mx; urgency=medium

  * New upstream release:
    - Support multiple connections per FTP folder traversal: N times speed up.
    - Improved folder traversal time by 35% for FTP servers supporting MLSD.
    - Use single CWD when changing FTP working directory.
    - Maximize FTP input/output speed using prefetch/output buffers and
      async execution.
    - Use larger socket buffer for significant FTP upload speed increase.
    - Fixed out of memory error when copying large files via FTP.
    - New popup dialog option to ignore all errors.
    - Reduced memory peaks by enforcing streaming buffer size limits.
    - Removed custom sync directions from config XML if not needed.
    - Fixed EOPNOTSUPP error on gvfs-mounted FTP (Linux).
    - Prevent input focus stealing after manual comparison.
    - Flash task bar after comparison if other app has input focus.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 13 Sep 2017 18:20:06 -0700

=== debian/watch ===
version=3
http://www.freefilesync.org/download.php \
    (?:.*/)?FreeFileSync_([\d\.]+)_(?:s|S)ource\.zip
